<?php

ini_set('memory_limit', '100M');

include_once('../includes/global.php');
include_once('../includes/zip.lib.php');
include_once('export.php');    
include_once('export_output.php');    

LoadCommandLineParameters();

while(1)
{
  $DbResult = $Database->SQLCommand('SELECT ExportTask.Export, Export.Id AS ExportId FROM ExportTask LEFT JOIN Export ON Export.Id = ExportTask.Export WHERE ExportTask.TimeFinish IS NULL');
  while($DbRow = mysql_fetch_assoc($DbResult)) 
  {
    if($DbRow['ExportId'] != '') 
    {
      try 
      {
        $Export = new Export($System);
        $Export->Id = $DbRow['Export'];
        $Export->Init();
    
        if(function_exists('gzcompress')) 
        {
          echo('Generování DBC souborů pro export '.$Export->Id.'.. '."\n");
          $Export->ExportToDBC();
          $SaveFilename = $Export->TempDir.'/CzWoW_DBC.zip';          
          $Zip = new zipfile();
          CreateZipFromDir($Zip, $Export->TempDir.'dbc/', 'DBFilesClient/');
          $Buffer = $Zip->file();
          file_put_contents($SaveFilename, $Buffer);
          echo('Hotovo');
        } else echo('Funkce pro tvorbu Zip souboru není podporována!');
        $Database->SQLCommand('UPDATE ExportTask SET TimeFinish=NOW() WHERE Export='.$Export->Id);
      } catch (Exception $e) 
      {
        echo 'Caught exception: ',  $e->getMessage(), "\n";
      }
    } else
    {
      $Database->SQLCommand('DELETE FROM ExportTask WHERE Export='.$DbRow['Export']);
      echo('Export '.$DbRow['Export'].' nenalezen. Jeho úloha smazána.'."\n");
    }
  }
  sleep($Config['ExportTashProcessPeriod']);
}

//  WriteLog('Generování dbc úloh', 2);
?>
